com.explodingpixels.widgets

## Class PopupButton<E>

- java.lang.Object
- - com.explodingpixels.widgets.PopupButton<E>

    public class PopupButton<E>
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PopupButton(E selectedItem, List<E> popupItemsList)`

### Method Summary

Methods
`JComponent` `getComponent()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PopupButton

    public PopupButton(E selectedItem,
               List<E> popupItemsList)

### Method Detail

#### getComponent

    public JComponent getComponent()